
Python CLI - Task #2373

Feature # 2652 (Closed): Python CLI - Version 2

CLI history should persist beyond a single session

2012-02-23 18:02 - Andrew Pippin

Status: Rejected Start date: 2012-02-23

Priority: Low Due date:  

Assignee: Roger Dahl % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CLI_2.0.0   

Story Points:    

Description

Currently, the history is only kept for the duration of the session.  It should persist beyond a single session (with a reasonable limit of

lines).

History

#1 - 2012-05-07 21:53 - Andrew Pippin

- Assignee deleted (Andrew Pippin)

- Parent task set to #2652

Putting this task under the Version 2 Python CLI story.

#2 - 2013-08-23 15:32 - Roger Dahl

- Assignee set to Roger Dahl

#3 - 2014-01-17 15:48 - Roger Dahl

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

The state is preserved between sessions and commands are based on the state to prevent redundancy. So there's not that much value in also

preserving the commands themselves between sessions.

#4 - 2014-10-02 17:55 - Dave Vieglais

- Target version set to Maintenance Backlog

#5 - 2015-01-13 16:21 - Dave Vieglais

- Target version changed from Maintenance Backlog to CCI-2.0.0
